Bug 54100 - Update port: graphics/gd
Summary: Update port: graphics/gd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-04 17:00 UTC by tkato
Modified: 2003-07-11 19:16 UTC (History)
0 users

See Also:


Attachments
file.diff (28.47 KB, patch)
2003-07-04 17:00 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-07-04 17:00:32 UTC

Fix: - Change library name from libgd to libgd1
- Do not install everything except headers and libraries
  (to avoid conflicting with graphics/gd2)

New file:
files/Makefile.lib
files/patch-gd_gif_in.c
files/patch-gdcache.h

Remove file:
files/patch-ac
Comment 1 dirk.meyer 2003-07-04 17:24:34 UTC
KATO Tsuguru schrieb:,

> - Change library name from libgd to libgd1
> - Do not install everything except headers and libraries
>   (to avoid conflicting with graphics/gd2)

Please suuplie a patch for the ports using this dependency (53).
$ grep gd-1 /usr/ports/INDEX | cut -d "|" -f1-2

rmap-1.2_1|/usr/ports/astro/rmap
emboss-2.4.1|/usr/ports/biology/emboss
genpak-0.26|/usr/ports/biology/genpak
clip-0.99|/usr/ports/databases/clip
grass-5.0.0,1|/usr/ports/databases/grass
bugzilla-2.16.3_1|/usr/ports/devel/bugzilla
cvsgraph-1.2.0|/usr/ports/devel/cvsgraph
cvsmonitor-0.6.2|/usr/ports/devel/cvsmonitor
veepee-1.0_1|/usr/ports/devel/veepee
p5-GIFgraph-1.10_2|/usr/ports/graphics/GIFgraph
ecg2png-0.30_2|/usr/ports/graphics/ecg2png
g2-0.40_1|/usr/ports/graphics/g2
imc-4.1|/usr/ports/graphics/imc
p5-Chart-PNGgraph-1.21_2|/usr/ports/graphics/p5-Chart-PNGgraph
p5-GD-1.41|/usr/ports/graphics/p5-GD
p5-GD-Barcode-1.13|/usr/ports/graphics/p5-GD-Barcode
p5-GD-Graph-1.35_1|/usr/ports/graphics/p5-GD-Graph
p5-GD-Graph3d-0.63|/usr/ports/graphics/p5-GD-Graph3d
p5-GD-TextUtil-0.83|/usr/ports/graphics/p5-GD-TextUtil
p5-Chart-1.0.1|/usr/ports/graphics/p5-chart
phplot-4.4.6|/usr/ports/graphics/phplot
png2html-1.1_1|/usr/ports/graphics/png2html
py22-gd-0.40|/usr/ports/graphics/py-gd
ruby-GD-0.7.4_2|/usr/ports/graphics/ruby-gd
scr2png-1.1|/usr/ports/graphics/scr2png
springgraph-0.79|/usr/ports/graphics/springgraph
zimg-4.19.1|/usr/ports/graphics/zimg
ja-gd-1.8.4_6|/usr/ports/japanese/gd
ploticus-2.11|/usr/ports/math/ploticus
chord2html-1.3|/usr/ports/misc/chord2html
dgd-1.2p3|/usr/ports/net/dgd
dgd-lpmud-2.4.5|/usr/ports/net/dgd-lpmud
mrtg-2.9.29_1,1|/usr/ports/net/mrtg
nagios-1.1|/usr/ports/net/nagios
netsaint-0.0.7_2,1|/usr/ports/net/netsaint
wping-0.1a|/usr/ports/net/wping
ru-gd-1.8.3|/usr/ports/russian/gd
fwanalog-0.6.2|/usr/ports/security/fwanalog
lire-1.1_1|/usr/ports/sysutils/lire
docproj-1.11|/usr/ports/textproc/docproj
docproj-jadetex-1.11|/usr/ports/textproc/docproj-jadetex
docproj-nojadetex-1.11|/usr/ports/textproc/docproj-nojadetex
modlogan-0.8.7|/usr/ports/textproc/modlogan
analog-5.24,1|/usr/ports/www/analog
http-analyze-2.01_1|/usr/ports/www/http-analyze
ljdeps-1.0|/usr/ports/www/ljdeps
mgstat-0.11|/usr/ports/www/mgstat
reportmagic-2.21|/usr/ports/www/reportmagic

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 2 tkato 2003-07-05 17:59:46 UTC
On Fri, 4 Jul 2003 09:30:12 -0700 (PDT)
dirk.meyer@dinoex.sub.org (Dirk Meyer) wrote:

>  Please suuplie a patch for the ports using this dependency (53).

How about these?

(databases/clip is excluded since valid source archive is
currently unavailable and there is an ongoing PR for upgrading)


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	astro_rmap.diff
#	biology_emboss.diff
#	biology_genpak.diff
#	comms_hamlib.diff
#	databases_grass.diff
#	devel_cvsgraph.diff
#	devel_veepee.diff
#	graphics_ecg2png.diff
#	graphics_g2.diff
#	graphics_p5-GD.diff
#	graphics_phplot.diff
#	graphics_png2html.diff
#	graphics_py-gd.diff
#	graphics_ruby-gd.diff
#	graphics_scr2png.diff
#	graphics_zimg.diff
#	net_mrtg.diff
#	net_nagios.diff
#	textproc_modlogan.diff
#	www_analog.diff
#	www_http-analyze.diff
#	www_mgstat.diff
#
echo x - astro_rmap.diff
sed 's/^X//' >astro_rmap.diff << 'END-of-astro_rmap.diff'
Xdiff -urN /usr/ports/astro/rmap/Makefile astro/rmap/Makefile
X--- /usr/ports/astro/rmap/Makefile	Sat Apr 12 22:35:09 2003
X+++ astro/rmap/Makefile	Sat Jul  5 22:41:16 2003
X@@ -7,21 +7,21 @@
X 
X PORTNAME=	rmap
X PORTVERSION=	1.2
X-PORTREVISION=	1
X+PORTREVISION=	3
X CATEGORIES=	astro
X MASTER_SITES=	http://www.reza.net/rmap/
X 
X MAINTAINER=	trevor@FreeBSD.org
X COMMENT=	Generates images of the Earth centered at a particular location
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd \
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2 \
X 		gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
X 
X MAN1=		rmap.1
X GNU_CONFIGURE=	yes
X USE_GMAKE=	yes
X 
X-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I ${LOCALBASE}/include/gd/" \
X+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
X 		LIBS="-L${LOCALBASE}/lib -lgnugetopt"
X 
X .include <bsd.port.mk>
END-of-astro_rmap.diff
echo x - biology_emboss.diff
sed 's/^X//' >biology_emboss.diff << 'END-of-biology_emboss.diff'
Xdiff -urN /usr/ports/biology/emboss/Makefile biology/emboss/Makefile
X--- /usr/ports/biology/emboss/Makefile	Sat Apr 12 22:36:50 2003
X+++ biology/emboss/Makefile	Sat Jul  5 22:41:43 2003
X@@ -7,6 +7,7 @@
X 
X PORTNAME=	emboss
X PORTVERSION=	2.4.1
X+PORTREVISION=	1
X CATEGORIES=	biology
X MASTER_SITES=	ftp://ftp.uk.embnet.org/pub/EMBOSS/old/ \
X 		ftp://ftp.es.embnet.org/pub/software/emboss/EMBOSS/ \
X@@ -18,7 +19,7 @@
X MAINTAINER=	wjv@FreeBSD.org
X COMMENT=	A collection of open source tools for genetic sequence analysis
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X USE_SUBMAKE=	yes
X USE_GMAKE=	yes
END-of-biology_emboss.diff
echo x - biology_genpak.diff
sed 's/^X//' >biology_genpak.diff << 'END-of-biology_genpak.diff'
Xdiff -urN /usr/ports/biology/genpak/Makefile biology/genpak/Makefile
X--- /usr/ports/biology/genpak/Makefile	Sat Apr 12 22:36:50 2003
X+++ biology/genpak/Makefile	Sat Jul  5 22:43:41 2003
X@@ -8,6 +8,7 @@
X 
X PORTNAME=	genpak
X PORTVERSION=	0.26
X+PORTREVISION=	1
X CATEGORIES=	biology
X MASTER_SITES=	http://www.bioinformatics.org/genpak/download/
X DISTNAME=	gp-${PORTVERSION}
X@@ -16,8 +17,7 @@
X MAINTAINER=	ports@FreeBSD.org
X COMMENT=	GP is a set of small utilities to manipulate DNA sequences
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd \
X-		png.5:${PORTSDIR}/graphics/png
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X USE_GMAKE=	yes
X MAKE_ENV=	GMAKE="${GMAKE}" MANPREFIX="${MANPREFIX}"
END-of-biology_genpak.diff
echo x - comms_hamlib.diff
sed 's/^X//' >comms_hamlib.diff << 'END-of-comms_hamlib.diff'
Xdiff -urN /usr/ports/comms/hamlib/Makefile comms/hamlib/Makefile
X--- /usr/ports/comms/hamlib/Makefile	Fri May 16 21:19:28 2003
X+++ comms/hamlib/Makefile	Sun Jul  6 00:42:23 2003
X@@ -34,7 +34,7 @@
X .endif
X 
X .if defined(WITH_RIGMATRIX)
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X CONFIGURE_ARGS+=	--with-rigmatrix
X PLIST_SUB+=	RIGMATRIX=""
X .else
END-of-comms_hamlib.diff
echo x - databases_grass.diff
sed 's/^X//' >databases_grass.diff << 'END-of-databases_grass.diff'
Xdiff -urN /usr/ports/databases/grass/Makefile databases/grass/Makefile
X--- /usr/ports/databases/grass/Makefile	Sat Apr 12 22:38:21 2003
X+++ databases/grass/Makefile	Sat Jul  5 22:45:26 2003
X@@ -7,6 +7,7 @@
X 
X PORTNAME=	grass
X PORTVERSION=	5.0.0
X+PORTREVISION=	1
X PORTEPOCH=	1
X CATEGORIES=	databases
X MASTER_SITES=	http://grass.itc.it/grass5/source/ \
X@@ -20,7 +21,7 @@
X LIB_DEPENDS=	tiff.4:${PORTSDIR}/graphics/tiff \
X 		png.5:${PORTSDIR}/graphics/png \
X 		jpeg.9:${PORTSDIR}/graphics/jpeg \
X-		gd.2:${PORTSDIR}/graphics/gd \
X+		gd.4:${PORTSDIR}/graphics/gd2 \
X 		fftw.2:${PORTSDIR}/math/fftw \
X 		iconv.3:${PORTSDIR}/converters/libiconv \
X 		freetype.9:${PORTSDIR}/print/freetype2 \
END-of-databases_grass.diff
echo x - devel_cvsgraph.diff
sed 's/^X//' >devel_cvsgraph.diff << 'END-of-devel_cvsgraph.diff'
Xdiff -urN /usr/ports/devel/cvsgraph/Makefile devel/cvsgraph/Makefile
X--- /usr/ports/devel/cvsgraph/Makefile	Sat Apr 12 22:40:18 2003
X+++ devel/cvsgraph/Makefile	Sat Jul  5 23:07:17 2003
X@@ -7,13 +7,14 @@
X 
X PORTNAME=	cvsgraph
X PORTVERSION=	1.2.0
X+PORTREVISION=	1
X CATEGORIES=	devel graphics
X MASTER_SITES=	http://www.akhphd.au.dk/~bertho/cvsgraph/release/
X 
X MAINTAINER=	trevor@FreeBSD.org
X COMMENT=	Graph the life story of a file under CVS or RCS
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd \
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2 \
X 		jpeg.9:${PORTSDIR}/graphics/jpeg \
X 		png.5:${PORTSDIR}/graphics/png
X 
END-of-devel_cvsgraph.diff
echo x - devel_veepee.diff
sed 's/^X//' >devel_veepee.diff << 'END-of-devel_veepee.diff'
Xdiff -urN /usr/ports/devel/veepee/Makefile devel/veepee/Makefile
X--- /usr/ports/devel/veepee/Makefile	Mon Apr 21 12:21:22 2003
X+++ devel/veepee/Makefile	Sat Jul  5 23:07:34 2003
X@@ -7,7 +7,7 @@
X 
X PORTNAME=	veepee
X PORTVERSION=	1.0
X-PORTREVISION=	1
X+PORTREVISION=	2
X CATEGORIES=	devel python gnome
X MASTER_SITES=	http://www.river-bank.demon.co.uk/software/
X DISTNAME=	VeePee-${PORTVERSION}
X@@ -15,7 +15,7 @@
X MAINTAINER=	sobomax@FreeBSD.org
X COMMENT=	A user orientated scripting environment for embedding in applications
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X USE_GNOME=	gnomelibs
X USE_XLIB=	yes
END-of-devel_veepee.diff
echo x - graphics_ecg2png.diff
sed 's/^X//' >graphics_ecg2png.diff << 'END-of-graphics_ecg2png.diff'
Xdiff -urN /usr/ports/graphics/ecg2png/Makefile graphics/ecg2png/Makefile
X--- /usr/ports/graphics/ecg2png/Makefile	Sat Apr 12 22:48:20 2003
X+++ graphics/ecg2png/Makefile	Sat Jul  5 23:08:16 2003
X@@ -7,14 +7,14 @@
X 
X PORTNAME=	ecg2png
X PORTVERSION=	0.30
X-PORTREVISION=	2
X+PORTREVISION=	3
X CATEGORIES=	graphics
X MASTER_SITES=	http://www.cardiothink.com/downloads/ecg2png/
X 
X MAINTAINER=	ports@freebsd.org
X COMMENT=	"Converts scanned 12-lead electrocardiograms into PNGs"
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X WRKSRC=		${WRKDIR}/${PORTNAME}
X 
END-of-graphics_ecg2png.diff
echo x - graphics_g2.diff
sed 's/^X//' >graphics_g2.diff << 'END-of-graphics_g2.diff'
Xdiff -urN /usr/ports/graphics/g2/Makefile graphics/g2/Makefile
X--- /usr/ports/graphics/g2/Makefile	Sat Apr 12 22:48:28 2003
X+++ graphics/g2/Makefile	Sat Jul  5 23:08:58 2003
X@@ -7,7 +7,7 @@
X 
X PORTNAME=	g2
X PORTVERSION=	0.40
X-PORTREVISION=	1
X+PORTREVISION=	2
X CATEGORIES=	graphics
X MASTER_SITES=	${MASTER_SITE_SUNSITE}
X MASTER_SITE_SUBDIR=	libs/graphics
X@@ -15,11 +15,11 @@
X MAINTAINER=	billf@FreeBSD.org
X COMMENT=	An easy to use, portable and powerful 2D graphics library
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X USE_XLIB=	yes
X GNU_CONFIGURE=	yes
X-CONFIGURE_ENV=  CFLAGS="${CFLAGS} -I${PREFIX}/include/gd"
X+CONFIGURE_ENV=  CFLAGS="${CFLAGS} -I${LOCALBASE}/include"
X 
X do-build:
X 	cd ${WRKSRC} ; make depend ; make
END-of-graphics_g2.diff
echo x - graphics_p5-GD.diff
sed 's/^X//' >graphics_p5-GD.diff << 'END-of-graphics_p5-GD.diff'
Xdiff -urN /usr/ports/graphics/p5-GD/Makefile graphics/p5-GD/Makefile
X--- /usr/ports/graphics/p5-GD/Makefile	Tue May 20 00:18:57 2003
X+++ graphics/p5-GD/Makefile	Sat Jul  5 23:47:46 2003
X@@ -7,6 +7,7 @@
X 
X PORTNAME=	GD
X PORTVERSION=	1.41
X+PORTREVISION=	1
X CATEGORIES=	graphics perl5
X MASTER_SITES=	${MASTER_SITE_PERL_CPAN}
X MASTER_SITE_SUBDIR=	GD
X@@ -15,7 +16,7 @@
X MAINTAINER=	ports@FreeBSD.org
X COMMENT=	A perl5 interface to Gd Graphics Library
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd1.2:${PORTSDIR}/graphics/gd
X 
X PERL_CONFIGURE=	yes
X USE_REINPLACE=	yes
X@@ -26,7 +27,7 @@
X post-patch:
X 	${REINPLACE_CMD} \
X 		-e 's,@@LOCALBASE@@,${LOCALBASE},g' \
X-		-e 's,@@LOCALBASE@@,${LOCALBASE},g' \
X+		-e 's,@@X11BASE@@,${X11BASE},g' \
X 		${WRKSRC}/Makefile.PL
X 
X .include <bsd.port.mk>
Xdiff -urN /usr/ports/graphics/p5-GD/files/patch-aa graphics/p5-GD/files/patch-aa
X--- /usr/ports/graphics/p5-GD/files/patch-aa	Tue May 20 00:18:57 2003
X+++ graphics/p5-GD/files/patch-aa	Sat Jul  5 23:47:37 2003
X@@ -15,9 +15,9 @@
X -my $TTF     = lc prompt('Build FreeType support?','y') eq 'y';
X -my $XPM     = $^O !~ /^freebsd|MSWin32$/ && lc prompt('Build XPM support?','y') eq 'y';
X -my $GIF		= lc prompt('Build GIF support (for patched versions of gd)?','n') eq 'y';
X-+my @INC     = qw(-I@@LOCALBASE@@/include -I@@LOCALBASE@@/include/gd -I@@LOCALBASE@@/include/freetype -I@@X11BASE@@/include -I@@X11BASE@@/include/X11); 
X++my @INC     = qw(-I@@LOCALBASE@@/include/gd -I@@LOCALBASE@@/include/freetype -I@@LOCALBASE@@/include -I@@X11BASE@@/include/X11 -I@@X11BASE@@/include); 
X +my @LIBPATH = qw(-L@@LOCALBASE@@/lib -L@@X11BASE@@/lib);
X-+my @LIBS    = qw(-lfreetype -ljpeg -lgd -lpng -lz);
X++my @LIBS    = qw(-lfreetype -ljpeg -lgd1 -lpng -lz);
X  
X  my $FCGI    = 0;   # set to 1 to build compatability with fastCGI
X  
END-of-graphics_p5-GD.diff
echo x - graphics_phplot.diff
sed 's/^X//' >graphics_phplot.diff << 'END-of-graphics_phplot.diff'
Xdiff -urN /usr/ports/graphics/phplot/Makefile graphics/phplot/Makefile
X--- /usr/ports/graphics/phplot/Makefile	Sat Apr 12 22:49:19 2003
X+++ graphics/phplot/Makefile	Sat Jul  5 23:19:58 2003
X@@ -6,6 +6,7 @@
X 
X PORTNAME=	phplot
X PORTVERSION=	4.4.6
X+PORTREVISION=	1
X CATEGORIES=	graphics www
X MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
X MASTER_SITE_SUBDIR=	phplot
X@@ -15,7 +16,7 @@
X COMMENT=	A PHP class for creating scientific and business charts
X 
X RUN_DEPENDS=	${LOCALBASE}/libexec/apache/libphp4.so:${PORTSDIR}/www/mod_php4
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X NO_BUILD=	YES
X 
END-of-graphics_phplot.diff
echo x - graphics_png2html.diff
sed 's/^X//' >graphics_png2html.diff << 'END-of-graphics_png2html.diff'
Xdiff -urN /usr/ports/graphics/png2html/Makefile graphics/png2html/Makefile
X--- /usr/ports/graphics/png2html/Makefile	Sat Apr 12 22:49:21 2003
X+++ graphics/png2html/Makefile	Sat Jul  5 23:20:13 2003
X@@ -7,7 +7,7 @@
X 
X PORTNAME=	png2html
X PORTVERSION=	1.1
X-PORTREVISION=	1
X+PORTREVISION=	2
X CATEGORIES=	graphics
X MASTER_SITES=	http://www.engr.mun.ca/~holden/
X 
X@@ -15,7 +15,7 @@
X COMMENT=	Takes a PNG image and transforms it into HTML
X 
X LIB_DEPENDS=	png.5:${PORTSDIR}/graphics/png \
X-		gd.2:${PORTSDIR}/graphics/gd
X+		gd.4:${PORTSDIR}/graphics/gd2
X 
X do-configure:
X 		@${MV} ${WRKSRC}/Makefile ${WRKSRC}/Makefile.orig
Xdiff -urN /usr/ports/graphics/png2html/files/patch-aa graphics/png2html/files/patch-aa
X--- /usr/ports/graphics/png2html/files/patch-aa	Sat Feb 19 19:42:53 2000
X+++ graphics/png2html/files/patch-aa	Sat Jul  5 23:29:18 2003
X@@ -6,7 +6,7 @@
X -CC      = gcc
X -CFLAGS  = -O2 -Wall -lpng -lgd
X +CC      ?= gcc
X-+INCLUDES= -ICHANGE_ME/include/gd
X++INCLUDES= -ICHANGE_ME/include
X +LDFLAGS = -LCHANGE_ME/lib
X +LIBS    = -lpng -lgd
X  
END-of-graphics_png2html.diff
echo x - graphics_py-gd.diff
sed 's/^X//' >graphics_py-gd.diff << 'END-of-graphics_py-gd.diff'
Xdiff -urN /usr/ports/graphics/py-gd/Makefile graphics/py-gd/Makefile
X--- /usr/ports/graphics/py-gd/Makefile	Sat Apr 12 22:49:23 2003
X+++ graphics/py-gd/Makefile	Sat Jul  5 23:42:54 2003
X@@ -6,6 +6,7 @@
X 
X PORTNAME=	gd
X PORTVERSION=	0.40
X+PORTREVISION=	1
X CATEGORIES=	graphics python
X MASTER_SITES=	http://newcenturycomputers.net/projects/download.cgi/
X PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
X@@ -14,7 +15,7 @@
X MAINTAINER=	perky@FreeBSD.org
X COMMENT=	Python interface to the GD library
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X USE_XPM=	yes
X USE_REINPLACE=  yes
X@@ -27,7 +28,7 @@
X post-patch:
X 	${REINPLACE_CMD} -e 's,/usr/local,${LOCALBASE},g' \
X 		-e 's,/usr/X11R6,${X11BASE},g' \
X-		-e 's,/usr/include/X11,${LOCALBASE}/include/gd,g' \
X+		-e 's,/usr/include/X11,${LOCALBASE}/include,g' \
X 		${WRKSRC}/${PYSETUP}
X 
X post-install:
END-of-graphics_py-gd.diff
echo x - graphics_ruby-gd.diff
sed 's/^X//' >graphics_ruby-gd.diff << 'END-of-graphics_ruby-gd.diff'
Xdiff -urN /usr/ports/graphics/ruby-gd/Makefile graphics/ruby-gd/Makefile
X--- /usr/ports/graphics/ruby-gd/Makefile	Sat Apr 12 22:49:30 2003
X+++ graphics/ruby-gd/Makefile	Sun Jul  6 00:15:16 2003
X@@ -7,7 +7,7 @@
X 
X PORTNAME=	GD
X PORTVERSION=	0.7.4
X-PORTREVISION=	2
X+PORTREVISION=	3
X CATEGORIES=	graphics ruby
X MASTER_SITES=	http://www.acc.ne.jp/~tam/GD/
X PKGNAMEPREFIX=	${RUBY_PKGNAMEPREFIX}
X@@ -36,7 +36,7 @@
X LIB_DEPENDS+=	gd.4:${PORTSDIR}/graphics/gd
X .else
X CONFIGURE_ARGS+=	--with-gd-include="${LOCALBASE}/include/gd"
X-LIB_DEPENDS+=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS+=	gd1.2:${PORTSDIR}/graphics/gd
X .endif
X 
X .include <bsd.port.pre.mk>
X@@ -70,6 +70,11 @@
X 
X post-patch:
X 	${RUBY} -i -pe 'sub %r:/win98/windows/FONTS:, "${X11BASE}/lib/X11/fonts/TrueType"' ${WRKSRC}/sample/gdtestttf.rb
X+.if defined(WITH_GD2)
X+	${RUBY} -i -pe 'sub %r:%%GD%%:, "gd"' ${WRKSRC}/extconf.rb
X+.else
X+	${RUBY} -i -pe 'sub %r:%%GD%%:, "gd1"' ${WRKSRC}/extconf.rb
X+.endif
X 
X post-install:
X .if !defined(NOPORTDOCS)
Xdiff -urN /usr/ports/graphics/ruby-gd/files/patch-extconf.rb graphics/ruby-gd/files/patch-extconf.rb
X--- /usr/ports/graphics/ruby-gd/files/patch-extconf.rb	Thu Jan  1 09:00:00 1970
X+++ graphics/ruby-gd/files/patch-extconf.rb	Sun Jul  6 00:14:32 2003
X@@ -0,0 +1,11 @@
X+--- extconf.rb.orig	Wed May 30 23:14:17 2001
X++++ extconf.rb	Sun Jul  6 00:14:20 2003
X+@@ -48,7 +48,7 @@
X+ end
X+ 
X+ if have_library('z') and have_library('png') and 
X+-    have_library('gd', 'gdImagePng') and have_library('m')
X++    have_library('%%GD%%', 'gdImagePng') and have_library('m')
X+ 
X+   if with_config('ttf') and not have_func('gdImageStringTTF')
X+     delete_link('ttf')
END-of-graphics_ruby-gd.diff
echo x - graphics_scr2png.diff
sed 's/^X//' >graphics_scr2png.diff << 'END-of-graphics_scr2png.diff'
Xdiff -urN /usr/ports/graphics/scr2png/Makefile graphics/scr2png/Makefile
X--- /usr/ports/graphics/scr2png/Makefile	Sat Apr 12 22:49:35 2003
X+++ graphics/scr2png/Makefile	Sat Jul  5 23:23:34 2003
X@@ -7,6 +7,7 @@
X 
X PORTNAME=	scr2png
X PORTVERSION=	1.1
X+PORTREVISION=	1
X CATEGORIES=	graphics
X 
X MASTER_SITES=	${MASTER_SITE_LOCAL}
X@@ -16,7 +17,7 @@
X MAINTAINER=	nik@freebsd.org
X COMMENT=	Converts the output of "vidcontrol -p" to PNG
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X USE_REINPLACE=	yes
X 
END-of-graphics_scr2png.diff
echo x - graphics_zimg.diff
sed 's/^X//' >graphics_zimg.diff << 'END-of-graphics_zimg.diff'
Xdiff -urN /usr/ports/graphics/zimg/Makefile graphics/zimg/Makefile
X--- /usr/ports/graphics/zimg/Makefile	Sat Apr 12 22:49:57 2003
X+++ graphics/zimg/Makefile	Sat Jul  5 23:28:42 2003
X@@ -7,6 +7,7 @@
X 
X PORTNAME=	zimg
X PORTVERSION=	4.19.1
X+PORTREVISION=	1
X CATEGORIES=	graphics
X MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
X MASTER_SITE_SUBDIR=	${PORTNAME}
X@@ -14,14 +15,13 @@
X MAINTAINER=	ports@FreeBSD.org
X COMMENT=	Image-generator that uses ASCII input files to create PNGs/EDFs
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X GNU_CONFIGURE=	yes
X CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
X 		LDFLAGS="-L${LOCALBASE}/lib"
X CONFIGURE_ARGS=	--with-dynaload-cc="${CC}" \
X-		--with-dynaload-cflags="${CFLAGS} -shared" \
X-		--with-gd-includes=${LOCALBASE}/include/gd
X+		--with-dynaload-cflags="${CFLAGS} -shared"
X 
X MAN1=		zimg.1
X 
END-of-graphics_zimg.diff
echo x - net_mrtg.diff
sed 's/^X//' >net_mrtg.diff << 'END-of-net_mrtg.diff'
Xdiff -urN /usr/ports/net/mrtg/Makefile net/mrtg/Makefile
X--- /usr/ports/net/mrtg/Makefile	Mon Jun  9 01:37:35 2003
X+++ net/mrtg/Makefile	Sat Jul  5 23:57:25 2003
X@@ -7,7 +7,7 @@
X 
X PORTNAME=	mrtg
X PORTVERSION=	2.9.29
X-PORTREVISION=	1
X+PORTREVISION=	2
X PORTEPOCH=	1
X CATEGORIES=	net
X MASTER_SITES=	http://people.ee.ethz.ch/~oetiker/webtools/mrtg/pub/ \
X@@ -25,7 +25,7 @@
X CONFIGURE_ARGS=	--with-gd-lib=${LOCALBASE}/lib \
X 		--with-gd-inc=${LOCALBASE}/include
X .else
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd1.2:${PORTSDIR}/graphics/gd
X CONFIGURE_ARGS=	--with-gd-lib=${LOCALBASE}/lib \
X 		--with-gd-inc=${LOCALBASE}/include/gd
X .endif
X@@ -43,6 +43,11 @@
X 
X post-patch:
X 	${RM} ${WRKSRC}/lib/mrtg2/BER.pm ${WRKSRC}/lib/mrtg2/SNMP_*.pm
X+.if defined(WITH_GD2)
X+	${PERL} -pi -e 's:%%GD%%:-lgd:g' ${WRKSRC}/configure
X+.else
X+	${PERL} -pi -e 's:%%GD%%:-lgd1:g' ${WRKSRC}/configure
X+.endif
X 
X do-install:
X 		${MKDIR} -m 755 ${PREFIX}/etc/mrtg
Xdiff -urN /usr/ports/net/mrtg/files/patch-configure net/mrtg/files/patch-configure
X--- /usr/ports/net/mrtg/files/patch-configure	Thu Jan  1 09:00:00 1970
X+++ net/mrtg/files/patch-configure	Sat Jul  5 23:55:40 2003
X@@ -0,0 +1,120 @@
X+--- configure.orig	Sun Mar  9 02:17:40 2003
X++++ configure	Sat Jul  5 23:55:07 2003
X+@@ -3159,13 +3159,13 @@
X+ LDFLAGS="${LDFLAGS} ${MATHLIBS}"
X+ 
X+ GDEXTRALIB=""
X+-echo "$as_me:$LINENO: checking for gdImageGif in -lgd" >&5
X+-echo $ECHO_N "checking for gdImageGif in -lgd... $ECHO_C" >&6
X++echo "$as_me:$LINENO: checking for gdImageGif in %%GD%%" >&5
X++echo $ECHO_N "checking for gdImageGif in %%GD%%... $ECHO_C" >&6
X+ if test "${ac_cv_lib_gd_gdImageGif+set}" = set; then
X+   echo $ECHO_N "(cached) $ECHO_C" >&6
X+ else
X+   ac_check_lib_save_LIBS=$LIBS
X+-LIBS="-lgd -lgd ${MATHLIBS} $LIBS"
X++LIBS="%%GD%% %%GD%% ${MATHLIBS} $LIBS"
X+ cat >conftest.$ac_ext <<_ACEOF
X+ #line $LINENO "configure"
X+ #include "confdefs.h"
X+@@ -3211,20 +3211,20 @@
X+ if test $ac_cv_lib_gd_gdImageGif = yes; then
X+ 
X+   GDFORM_EXT=gif
X+-  GLIBS="-lgd"
X++  GLIBS="%%GD%%"
X+ 
X+ else
X+   :
X+ fi
X+ 
X+ 
X+-echo "$as_me:$LINENO: checking for gdImagePng in -lgd" >&5
X+-echo $ECHO_N "checking for gdImagePng in -lgd... $ECHO_C" >&6
X++echo "$as_me:$LINENO: checking for gdImagePng in %%GD%%" >&5
X++echo $ECHO_N "checking for gdImagePng in %%GD%%... $ECHO_C" >&6
X+ if test "${ac_cv_lib_gd_gdImagePng+set}" = set; then
X+   echo $ECHO_N "(cached) $ECHO_C" >&6
X+ else
X+   ac_check_lib_save_LIBS=$LIBS
X+-LIBS="-lgd -lgd -lpng -lz ${MATHLIBS} $LIBS"
X++LIBS="%%GD%% %%GD%% -lpng -lz ${MATHLIBS} $LIBS"
X+ cat >conftest.$ac_ext <<_ACEOF
X+ #line $LINENO "configure"
X+ #include "confdefs.h"
X+@@ -3270,20 +3270,20 @@
X+ if test $ac_cv_lib_gd_gdImagePng = yes; then
X+ 
X+    GDFORM_EXT=png
X+-   GLIBS="-lgd -lpng -lz"
X++   GLIBS="%%GD%% -lpng -lz"
X+ 
X+ else
X+   :
X+ fi
X+ 
X+ 
X+-echo "$as_me:$LINENO: checking for gdImagePng_jpg in -lgd" >&5
X+-echo $ECHO_N "checking for gdImagePng_jpg in -lgd... $ECHO_C" >&6
X++echo "$as_me:$LINENO: checking for gdImagePng_jpg in %%GD%%" >&5
X++echo $ECHO_N "checking for gdImagePng_jpg in %%GD%%... $ECHO_C" >&6
X+ if test "${ac_cv_lib_gd_gdImagePng_jpg+set}" = set; then
X+   echo $ECHO_N "(cached) $ECHO_C" >&6
X+ else
X+   ac_check_lib_save_LIBS=$LIBS
X+-LIBS="-lgd -lgd -lpng -lz -ljpeg ${MATHLIBS} $LIBS"
X++LIBS="%%GD%% %%GD%% -lpng -lz -ljpeg ${MATHLIBS} $LIBS"
X+ cat >conftest.$ac_ext <<_ACEOF
X+ #line $LINENO "configure"
X+ #include "confdefs.h"
X+@@ -3329,20 +3329,20 @@
X+ if test $ac_cv_lib_gd_gdImagePng_jpg = yes; then
X+ 
X+    GDFORM_EXT=png
X+-   GLIBS="-lgd -lpng -lz -ljpeg"
X++   GLIBS="%%GD%% -lpng -lz -ljpeg"
X+ 
X+ else
X+   :
X+ fi
X+ 
X+ 
X+-echo "$as_me:$LINENO: checking for gdImagePng_jpg_ft in -lgd" >&5
X+-echo $ECHO_N "checking for gdImagePng_jpg_ft in -lgd... $ECHO_C" >&6
X++echo "$as_me:$LINENO: checking for gdImagePng_jpg_ft in %%GD%%" >&5
X++echo $ECHO_N "checking for gdImagePng_jpg_ft in %%GD%%... $ECHO_C" >&6
X+ if test "${ac_cv_lib_gd_gdImagePng_jpg_ft+set}" = set; then
X+   echo $ECHO_N "(cached) $ECHO_C" >&6
X+ else
X+   ac_check_lib_save_LIBS=$LIBS
X+-LIBS="-lgd -lgd -lpng -lz -ljpeg -lfreetype ${MATHLIBS} $LIBS"
X++LIBS="%%GD%% %%GD%% -lpng -lz -ljpeg -lfreetype ${MATHLIBS} $LIBS"
X+ cat >conftest.$ac_ext <<_ACEOF
X+ #line $LINENO "configure"
X+ #include "confdefs.h"
X+@@ -3388,7 +3388,7 @@
X+ if test $ac_cv_lib_gd_gdImagePng_jpg_ft = yes; then
X+ 
X+    GDFORM_EXT=png
X+-   GLIBS="-lgd -lpng -lz -ljpeg -lfreetype"
X++   GLIBS="%%GD%% -lpng -lz -ljpeg -lfreetype"
X+ 
X+ else
X+   :
X+@@ -3399,13 +3399,13 @@
X+   CPPFLAGS="$CPPFLAGS -DGFORM_GD=gdImageGif"
X+ fi
X+ 
X+-echo "$as_me:$LINENO: checking for gdImageGd in -lgd" >&5
X+-echo $ECHO_N "checking for gdImageGd in -lgd... $ECHO_C" >&6
X++echo "$as_me:$LINENO: checking for gdImageGd in %%GD%%" >&5
X++echo $ECHO_N "checking for gdImageGd in %%GD%%... $ECHO_C" >&6
X+ if test "${ac_cv_lib_gd_gdImageGd+set}" = set; then
X+   echo $ECHO_N "(cached) $ECHO_C" >&6
X+ else
X+   ac_check_lib_save_LIBS=$LIBS
X+-LIBS="-lgd -Wl,-Bstatic ${GLIBS} -Wl,-Bdynamic $LIBS"
X++LIBS="%%GD%% -Wl,-Bstatic ${GLIBS} -Wl,-Bdynamic $LIBS"
X+ cat >conftest.$ac_ext <<_ACEOF
X+ #line $LINENO "configure"
X+ #include "confdefs.h"
END-of-net_mrtg.diff
echo x - net_nagios.diff
sed 's/^X//' >net_nagios.diff << 'END-of-net_nagios.diff'
Xdiff -urN /usr/ports/net/nagios/Makefile net/nagios/Makefile
X--- /usr/ports/net/nagios/Makefile	Mon Jun  9 01:37:36 2003
X+++ net/nagios/Makefile	Sun Jul  6 00:07:07 2003
X@@ -17,15 +17,15 @@
X .if defined(WITH_GD2)
X LIB_DEPENDS=    gd.4:${PORTSDIR}/graphics/gd2
X .else
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd1.2:${PORTSDIR}/graphics/gd
X .endif
X LIB_DEPENDS+=	gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
X RUN_DEPENDS=	${LOCALBASE}/libexec/nagios/check_nagios:${PORTSDIR}/net/nagios-plugins
X 
X GNU_CONFIGURE=	yes
X-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
X-		CFLAGS="${CFLAGS} -I${LOCALBASE}/include" \
X-		LIBS="-L${LOCALBASE}/lib -lgd -lgnugetopt"
X+CONFIGURE_ENV=	CPPFLAGS="${INCGD} -I${LOCALBASE}/include" \
X+		CFLAGS="${CFLAGS} ${INCGD} -I${LOCALBASE}/include" \
X+		LIBS="-L${LOCALBASE}/lib ${LIBGD} -lgnugetopt"
X CONFIGURE_ARGS=	--with-command-user=nagios \
X 		--with-command-grp=www \
X 		--with-nagios-user=nagios \
X@@ -39,6 +39,14 @@
X 		--sysconfdir=${PREFIX}/etc/nagios \
X 		--localstatedir=/var/spool/nagios \
X 		--prefix=${PREFIX}
X+
X+.if defined(WITH_GD2)
X+INCGD=		-I${LOCALBASE}/include
X+LIBGD=		-lgd
X+.else
X+INCGD=		-I${LOCALBASE}/include/gd
X+LIBGD=		-lgd1
X+.endif
X 
X .if defined(WITH_MYSQL)
X LIB_DEPENDS+=	mysqlclient.10:${PORTSDIR}/databases/mysql323-client
END-of-net_nagios.diff
echo x - textproc_modlogan.diff
sed 's/^X//' >textproc_modlogan.diff << 'END-of-textproc_modlogan.diff'
Xdiff -urN /usr/ports/textproc/modlogan/Makefile textproc/modlogan/Makefile
X--- /usr/ports/textproc/modlogan/Makefile	Sun May  4 01:55:21 2003
X+++ textproc/modlogan/Makefile	Sat Jul  5 22:53:03 2003
X@@ -7,6 +7,7 @@
X 
X PORTNAME=	modlogan
X PORTVERSION=	0.8.7
X+PORTREVISION=	1
X CATEGORIES=	textproc www
X MASTER_SITES=	http://jan.kneschke.de/projects/modlogan/download/ \
X 		${MASTER_SITE_SOURCEFORGE}
X@@ -15,7 +16,7 @@
X COMMENT=	A modular log file analysis program
X 
X LIB_DEPENDS=	adns.1:${PORTSDIR}/net/adns \
X-		gd.2:${PORTSDIR}/graphics/gd \
X+		gd.4:${PORTSDIR}/graphics/gd2 \
X 		intl.4:${PORTSDIR}/devel/gettext \
X 		pcre.0:${PORTSDIR}/devel/pcre \
X 		expat.4:${PORTSDIR}/textproc/expat2
END-of-textproc_modlogan.diff
echo x - www_analog.diff
sed 's/^X//' >www_analog.diff << 'END-of-www_analog.diff'
Xdiff -urN /usr/ports/www/analog/Makefile www/analog/Makefile
X--- /usr/ports/www/analog/Makefile	Sat Apr 12 23:29:53 2003
X+++ www/analog/Makefile	Sat Jul  5 22:49:03 2003
X@@ -7,6 +7,7 @@
X 
X PORTNAME=	analog
X PORTVERSION=	5.24
X+PORTREVISION=	1
X PORTEPOCH=	1
X CATEGORIES=	www
X MASTER_SITES=	http://www.analog.cx/ \
X@@ -22,7 +23,7 @@
X MAINTAINER=	mharo@FreeBSD.org
X COMMENT=	An extremely fast program for analysing WWW logfiles
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd \
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2 \
X 		jpeg.9:${PORTSDIR}/graphics/jpeg \
X 		png.5:${PORTSDIR}/graphics/png
X 
END-of-www_analog.diff
echo x - www_http-analyze.diff
sed 's/^X//' >www_http-analyze.diff << 'END-of-www_http-analyze.diff'
Xdiff -urN /usr/ports/www/http-analyze/Makefile www/http-analyze/Makefile
X--- /usr/ports/www/http-analyze/Makefile	Sat Apr 12 23:30:26 2003
X+++ www/http-analyze/Makefile	Sat Jul  5 22:49:27 2003
X@@ -6,7 +6,7 @@
X 
X PORTNAME=	http-analyze
X PORTVERSION=	2.01
X-PORTREVISION=	1
X+PORTREVISION=	2
X CATEGORIES=	www
X MASTER_SITES=	ftp://ftp.rent-a-guru.de/pub/http-analyze2.01/
X DISTNAME=	${PORTNAME}${PORTVERSION}
X@@ -16,7 +16,7 @@
X COMMENT=	A fast Log-Analyzer for web servers
X 
X BUILD_DEPENDS=	gif2png:${PORTSDIR}/graphics/gif2png
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X MAN1=		http-analyze.1
X 
END-of-www_http-analyze.diff
echo x - www_mgstat.diff
sed 's/^X//' >www_mgstat.diff << 'END-of-www_mgstat.diff'
Xdiff -urN /usr/ports/www/mgstat/Makefile www/mgstat/Makefile
X--- /usr/ports/www/mgstat/Makefile	Tue May 13 14:31:54 2003
X+++ www/mgstat/Makefile	Sat Jul  5 22:50:10 2003
X@@ -7,13 +7,14 @@
X 
X PORTNAME=	mgstat
X PORTVERSION=	0.11
X+PORTREVISION=	1
X CATEGORIES=	www
X MASTER_SITES=	http://wizard.ae.krakow.pl/~mike/download/
X 
X MAINTAINER=	ports@FreeBSD.org
X COMMENT=	Produce graphs from mod_gzip log files
X 
X-LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
X+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd2
X 
X GNU_CONFIGURE=	yes
X 
END-of-www_mgstat.diff
exit
Comment 3 Norikatsu Shigemura freebsd_committer 2003-07-11 19:16:18 UTC
State Changed
From-To: open->closed

Committed, thanks!